AnsweredAssumed Answered

VPU_EncGetVersionInfo failed

Question asked by Allan Matthew on Jul 10, 2014
Latest reply on Jul 16, 2014 by jean-michel hautbois

I'm using a custom i.mx6Solo board and am having an issue with the vpuenc gstreamer plugin.  I'm able to otherwise use gstreamer plugins like mfw_v4lsink, tvsrc, mfw_isink etc but the vpu does not seem to be working.  When invoking vpuenc with the h.264 codec, I get the following debug error from gst-launch:

 

0:00:02.613795334  1154   0x389920 ERROR                 vpuenc vpuenc.c:441:vpuenc_core_init: func VPU_EncGetVersionInfo failed!! with ret 1

 

Looking in my dmesg, it appears that the VPU is recognized as I see:

 

mxc_vpu 2040000.vpu: VPU initialized

 

I'm using the 3.10.17ga fsl-image-test yocto image.

 

I've confirmed that this also happens with vpudec.

 

Thanks for the help,

 

-Allan

Outcomes